import { MessageFlags, ChannelType, ActionRowBuilder, ChannelSelectMenuBuilder } from "discord.js"
import type { ButtonInteraction } from "discord.js"
import { t } from "@/utils/i18n"

export const id = "player_disco_channel"
export async function execute(interaction: ButtonInteraction) {
	const channelSelect = new ChannelSelectMenuBuilder()
		.setCustomId("player_disco_channel")
		.setPlaceholder(t(interaction.locale, "selectmenus.placeholders.select_channel_disco"))
		.addChannelTypes(ChannelType.GuildText, ChannelType.GuildAnnouncement)

	const row = new ActionRowBuilder<ChannelSelectMenuBuilder>().addComponents(channelSelect)

	return interaction.reply({ content: t(interaction.locale, "player.disco.select_channel"), components: [row], flags: MessageFlags.Ephemeral })
}
